Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::NameValuePair_var Class Reference

`#include <DynamicAnyC.h>`

Collaboration diagram for DynamicAny::NameValuePair_var:

[legend]
List of all members.

## Public Methods
| NameValuePair_var (void)
| NameValuePair_var (NameValuePair *)
| NameValuePair_var (const NameValuePair_var &)
| ~NameValuePair_var (void)
NameValuePair_var & | operator= (NameValuePair *)
NameValuePair_var & | operator= (const NameValuePair_var &)
NameValuePair * | operator-> (void)
const NameValuePair * | operator-> (void) const
| operator const NameValuePair & () const
| operator NameValuePair & ()
| operator NameValuePair & () const
| operator NameValuePair *& ()
const NameValuePair & | in (void) const
NameValuePair & | inout (void)
NameValuePair *& | out (void)
NameValuePair * | _retn (void)
NameValuePair * | ptr (void) const
## Private Attributes
NameValuePair * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE DynamicAny::NameValuePair_var::NameValuePair_var | ( | void |  | ) |

ACE_INLINE DynamicAny::NameValuePair_var::NameValuePair_var | ( | NameValuePair * | p | ) |

DynamicAny::NameValuePair_var::NameValuePair_var | ( | const NameValuePair_var & |  | ) |

ACE_INLINE DynamicAny::NameValuePair_var::~NameValuePair_var | ( | void |  | ) |

## Member Function Documentation

NameValuePair* DynamicAny::NameValuePair_var::_retn | ( | void |  | ) |

const NameValuePair& DynamicAny::NameValuePair_var::in | ( | void |  | ) | const

NameValuePair& DynamicAny::NameValuePair_var::inout | ( | void |  | ) |

DynamicAny::NameValuePair_var::operator const NameValuePair & | ( |  | ) | const

DynamicAny::NameValuePair_var::operator NameValuePair & | ( |  | ) | const

DynamicAny::NameValuePair_var::operator NameValuePair & | ( |  | ) |

DynamicAny::NameValuePair_var::operator NameValuePair *& | ( |  | ) |

ACE_INLINE const ::DynamicAny::NameValuePair * DynamicAny::NameValuePair_var::operator-> | ( | void |  | ) | const

ACE_INLINE::DynamicAny::NameValuePair * DynamicAny::NameValuePair_var::operator-> | ( | void |  | ) |

NameValuePair_var& DynamicAny::NameValuePair_var::operator= | ( | const NameValuePair_var & |  | ) |

ACE_INLINE DynamicAny::NameValuePair_var & DynamicAny::NameValuePair_var::operator= | ( | NameValuePair * | p | ) |

NameValuePair*& DynamicAny::NameValuePair_var::out | ( | void |  | ) |

NameValuePair* DynamicAny::NameValuePair_var::ptr | ( | void |  | ) | const

## Member Data Documentation

NameValuePair* DynamicAny::NameValuePair_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.i